<?php
#=
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../incorporation/individus.class.php");
include("../incorporation/importation.php");
include("../include/utiljs.php");
include("../include/html.class.php");
include("../incorporation/enluminures.inc.php");

function afficheincertains($ep) {
global $etab_id, $detail, $oui_incertains;
set_time_limit(300);
if ($ep==1) {
    $elvprof='eleve';
    $indiv1='Elèves';
    $indiv2='Professeurs';
    $nomgroupe=eleve::getgroupname();
    $_ep=2;
    }
else {
    $elvprof='prof';
    $indiv1='Professeurs';
    $indiv2='Elèves';
    $nomgroupe=prof::getgroupname();
    $_ep=1;
    }
    
$table=$elvprof.'s';
$nouveau=new $elvprof();
$existe=$nouveau->findfirst("tag=1 and etab_id=$etab_id");
//print_r($nouveau);
entete('Traitement des incertains');
//formulaire pour changer entre élèves et profs
print "<form name=\"changement\" action=\"incertains1.php\" method=\"post\">";
print "<input name=\"detail\" type=\"hidden\" value=\"$detail\">\n";
$onchange=" onclick=\"this.form.submit();\" ";
if ($oui_incertains & 1) {
    if ($ep==1) $chk=" checked=\"checked\" "; else $chk="";
    print "<h2><input type=\"radio\" name=\"ep\" value=\"1\" $chk $onchange /> ";
    print "&nbsp;&nbsp;Elèves incertains</h2>";
    }
if ($oui_incertains & 2) {
    if ($ep==2) $chk=" checked=\"checked\" "; else $chk="";
    print "<h2><input type=\"radio\" name=\"ep\" value=\"2\" $chk $onchange /> ";
    print "&nbsp;&nbsp;Professeurs incertains</h2>";
    }
//print "<input type=\"submit\" value=\"ok\" />";
print "</form>\n";

print "<hr style=\"width:100%\">\n";

//print_r($_GET);print "<br>";print "detail=$detail";print "<br>";
//print_r($_SESSION);print "<br>";

//formulaire des checkboxes
print "<form name=\"incertains\" action=\"incertains3.php\" method=\"post\">";
print "<input name=\"op\" type=\"hidden\" value=\"multiple\">\n";
print "<input name=\"ep\" type=\"hidden\" value=\"$ep\">\n";
print "<input name=\"detail\" type=\"hidden\" value=\"$detail\">\n";
print "<br />\n";
if ($detail==0)
    print "<a href=\"incertains1.php?ep=$ep&detail=1\" title=\"Voir les homonymes des incertains\"><h3>[Détailler l'affichage]</h3></a>";
else
    print "<a href=\"incertains1.php?ep=$ep&detail=0\" title=\"Cacher les homonymes des incertains\"><h3>[Simplifier l'affichage]</h3></a>";
print "\n";
print "<center>";

$html=new htmlcreator();
$html->begintable("width=\"95%\" border='0' cellpadding='0' cellspacing='1'");
do {
    $html->beginrow("class='paire' style='border-top: thin solid;'");
    $nid=$nouveau->id;
    $html->colonne("<input name=\"box[]\" type=\"checkbox\" value=\"$nid\">","style=\"text-align:center;\" width='4%'");
    $html->colonne($nouveau->nom,                                                                       " width='20%'");
    $html->colonne($nouveau->prenom,                                                                    " width='14%'");
    $html->colonne($nouveau->civil,                                                                     " width='4%'");
    $html->colonne("d. naiss :<br /> $nouveau->dnaiss",                                                 " width='6%'");
    $html->colonne($nouveau->getgroupname().' : <br />'.$nouveau->getgroupvalue(),                      " width='10%'");
    $html->colonne("id_gep :<br /> $nouveau->ident_nat",                                                " width='5%'");
    
    //obligé de retarder l'affichage de la suite pour tenir compte de l'étab des homonymes (cas "à cheval")
    //donc on s'interrompt un court instant dans l'affichage de la ligne de l'incertain
    if (isset($detail) && $detail==1) {
       //on vient de cette même page et on veut le détail des homonymes de nid
        $autres=array();
        
        $ancien=$nouveau->firsthomo();        
        $ia=0;
        $acheval_possible=false;
        
        //obligé de faire un premier passage pour stockage afin d'ajuster finement les libellés (cas du "à cheval")
        while (is_object($ancien)) {
            $autres[$ia]['etab_id']=$ancien->etab_id;
            $autres[$ia]['aid']=$ancien->id;
            $autres[$ia]['annee']=$ancien->annee;
            $autres[$ia]['nom']=$ancien->nom;
            $autres[$ia]['prenom']=$ancien->prenom;
            $autres[$ia]['civil']=$ancien->civil;
            $autres[$ia]['dnaiss']=$ancien->dnaiss;
            $autres[$ia]['groupe']=$ancien->getgroupvalue();
            $autres[$ia]['ident']=$ancien->ident_nat;
            $autres[$ia]['prox']=$ancien->proximitePrenoms($nouveau);
            if ($ancien->etab_id!=$etab_id && $elvprof=='prof') $acheval_possible=true; // 
            $ia++;
            $ancien=$nouveau->nexthomo($ancien);
            }
        if ($acheval_possible) {
            $msg_nouveau="<u>Nouveau prof</u><br />ou<br /><u>enseigne dans plusieurs étabs</u>";
            $title_nouveau="Ce prof est nouveau OU il enseigne aussi dans d'autres établissements";
            }
        else {
            if ($elvprof=='prof') {
                $msg_nouveau="<u>Nouveau prof</u>";
                $title_nouveau="Ajouter comme nouveau prof de l'établissement";
                }
            else {
                $msg_nouveau="<u>Nouvel élève</u>";
                $title_nouveau="Ajouter comme nouvel élève de l'établissement";
                }
            }
        }
    else {
        $msg_nouveau="<u>Nouveau</u>";
        $title_nouveau="Ajouter comme nouveau dans l'établissement";
        }
    //on peut reprendre l'affichage : on connaît le message à afficher  
    $html->colonne("<a class=\"bulle taillebullegde decalbullec\" href=\"incertains3.php?ep=$ep&detail=$detail&nid=$nid&op=creer\" >$msg_nouveau<span>$title_nouveau</span></a>"," width='17%' align='center' ");
    $html->colonne("<a href=\"incertains3.php?ep=$ep&detail=$detail&nid=$nid&op=supprimer\" title=\"Ne pas garder cet individu\"><u>Supprimer</u></a>"," width='17%' align='center'");
    $html->endrow();

    if (isset($detail) && $detail==1) {
        for ($ia=0; $ia<count($autres); $ia++) {       
            $eid=$autres[$ia]['etab_id'];
            $aid=$autres[$ia]['aid'];
            $an=$autres[$ia]['annee'];
            $nom=$autres[$ia]['nom'];
            $prenom=$autres[$ia]['prenom'];
            $civil=$autres[$ia]['civil'];
            $dnaiss=$autres[$ia]['dnaiss'];
            $groupe=$autres[$ia]['groupe'];
            $ident=$autres[$ia]['ident'];
            $prox=$autres[$ia]['prox'];
            if ($eid==$etab_id)
                $vientde="<em>ancien ".(($ep==1)? "élève" : "prof")."</em>";
            else {
                $resetab=query("SELECT nom,codepostal,ville FROM etablissements
                                WHERE etab_id=$eid;");
                list($etab_nom,$etab_cp,$etab_ville)=mysql_fetch_array($resetab);
                $vientde="$etab_nom <br />$etab_cp  - $etab_ville";
                }
            //$midgep=!empty($nouveau->ident_nat) && $nouveau->ident_nat==$ancien->ident_nat;
            $html->beginrow("style=\"font-size:10px;\"");
            $html->colonne("[<i>$an</i>]&nbsp;", " style=\"text-align: right\" ");
            $html->colonne($nom);
            $html->colonne($prenom);
            $html->colonne($civil);
            $html->colonne($dnaiss);
            $html->colonne($groupe);
            $html->colonne($ident);
            $html->colonne("<a class=\"bulle taillebullegde decalbullec\" href=\"incertains3.php?ep=$ep&amp;detail=$detail&amp;op=good&amp;nid=$nid&amp;aid=$aid\"><u>C'est celui-ci</u> ! <span> Cet individu convient pour l'incertain ci-dessus</span></a>","align='center'");
            $html->colonne($vientde," style=\"border-bottom: thin dotted Gray; border-top: thin dotted Gray;\" ");
            $html->endrow();
            }
        //on ne peut plus écrire $ancien->closehomo() : $ancien n'est plus un objet !
        }
    $existe=$nouveau->findnext();
    }
while ($existe);
?>

<tr><td colspan="9">&nbsp;</td></tr>
<tr>
    <td  valign="bottom" align="left">
    <img src="../images/arrow_ltr.gif" border="0"  alt="les cases à cocher : " />
    </td><td width='100px' align="left">
    <a href="#" onclick="coches(incertains,true);">Tout cocher</a></td><td width='100px'align="left">
    <a href="#" onclick="coches(incertains,false);">Tout décocher</a></td>
    <td colspan='6' style="text-align:right;"> Action à affecter avec la sélection :
    <select name="action" onchange="this.form.submit();">
        <option value="0" selected="selected"> Choisir... </option>
        <option value="S" >Ne plus tenir compte des personnes cochées</option>
        <option value="N" >Ajouter les personnes cochées à la base (nouveaux)</option>
        <option value="A" >C'est le même que leur seul homonyme trouvé dans la base</option>
    </select>
    <br />
  </td>
</tr>
<?php
$html->endtable();
print "</center>";
print "</form>\n";
voircetendroit();
}

//principal
//=========

//On peut venir de l'incorporation, de admin_bas, de incertains1, de incertains3 ou de verifier
//Il faut tout tester et recalculer avec les maigres données possédées
// depuis incertains3, on récupère ep et detail par GET

opensession("Admin",false);
connecte($host,$user,$mdp,$db);

//calcul du retour après avoir traité ou abandonné les incertains
if (isset($incoreleves) || isset($incorprofs)) {
    //on vient de l'incorporation
    $retoura="nettoyer.php#bas";
    }
elseif (isset($verifie) && $verifie==1) {
    //on vient d'une vérif admin
    $retoura="../outils/verifie_base.php";
    }
else {
    //on vient du menu admin
    $retoura="../admin/admin_bas.php";
    }

if (!isset($detail)) $detail=1;  //est affecté si on vient de incertains1 et 3.

//recalculer les incertains (si on vient de partout sauf admin_bas, mais bof...
$oui_incertains=get_oui_incertains();
$_SESSION['oui_incertains']=$oui_incertains;
if ($oui_incertains==0) {
    header("Location: $retoura");
    exit();
    }

if (!isset($ep)) {
    if ($oui_incertains &1)
        $ep=1;   //1=élèves, 2=profs. On commence par les élèves
    else
        $ep=2;  //obligatoirement : $oui_incertain & 2 == 2
    }

//print "oui_incertains=$oui_incertains et ep=$ep<br>";

if ($oui_incertains & $ep) {
    //il y a des incertains de catégorie X et l'admin a demandé de traiter cette catégorie
    afficheincertains($ep);
    }
else {
    //rien : le type se démerdera avec une page vide mais contenant quand même
    //le lien ci-dessous ou le radio en haut
    //header('Location: '.$retoura);
    //exit();
    //if ($ep==1) print "<p>Pas d'élève incertain.</p>\n";
    //else print "<p>Pas de prof incertain.</p>\n";
    }

print "<a href=\"$retoura\" title=\"Si vous n'avez pas le temps maintenant\nou pas assez d'éléments pour décider,\nvous trouverez un lien dans le menu principal\npour régler ultérieurement le sort des incertains\">";
print "<h3>[Remettre à plus tard la gestion des incertains]</h3></a>";
print "</font>\n";
enqueue();
?>